SendLit logoSendLit Docs
API ReferenceOrganizationsOrganizationidEspsEspidFeedbackRotate

Rotate organization ESP feedback credentials

POST
/organizations/{organizationId}/esps/{espId}/feedback/rotate
x-sendlit-apikey<token>

In: header

Path Parameters

organizationId*string
espId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/organizations/string/esps/string/feedback/rotate" \  -H "Content-Type: application/json" \  -d '{    "credential": "string"  }'
{
  "connectionId": "string",
  "espId": "string",
  "provider": "string",
  "webhookUrl": "string",
  "hasCredential": true,
  "status": "pending",
  "lastReceivedAt": "string",
  "lastVerifiedAt": "string",
  "lastErrorCode": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}